Skip to content
Sursa Developers

Objects

CollectionUpdate

Fields

  • titlestring | null
  • descriptionstring | null
  • aclobject | null
  • sensitiveboolean | null
  • default_owner_idinteger | null
  • default_verify_intervalinteger | null

    ≥ 1, ≤ 3650

  • default_categorystring | null
  • upgrade_indexboolean

    Upgrade the collection's search index to the installation's current version (admin only). The collection is reindexed, and the response is the collection with its reindex plan (IndexUpgradeResult). If the collection is already up to date, nothing changes.

  • publishing_enabledboolean | null

    Approval of draft publishing in the collection. Uses the same permission check (COLLECTION_MANAGE_SETTINGS) and the same setting as PUT /v1/collections/{name}/publishing.

Used by